package cn.com.qmth.stmms.biz.school.service;

import java.util.List;

import cn.com.qmth.stmms.biz.school.model.School;
import cn.com.qmth.stmms.biz.school.query.SchoolSearchQuery;

public interface SchoolService {

    School save(School school);

    School findById(Integer id);

    School findByAccessKey(String accessKey);

    public SchoolSearchQuery findByQuery(final SchoolSearchQuery query);

    void deleteById(Integer id);

    void delete(School school);

    School resetAccessKeyAndSecret(School school);

    void updateOrg();

    void updateOrg(List<School> list);

    List<School> parseJson(String json);

    School findByParentIdAndSubCode(Integer schoolId, String subCode);

}
